Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Campaigns

Create Campaign

POST
/v1/campaigns

Creates a new campaign.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

id?string

Unique identifier for the resource.

Formatuuid
template_id?|

Unique identifier of the related template.

name*string

Human-readable name of the resource.

send_after?|

Send After value for this resource.

placeholder_values?array<string>|

Placeholder Values value for this resource.

require_marketing_opt_in?|

Require Marketing Opt In value for this resource.

channels?array<>

Channels value for this resource.

segments?array<>

Segments value for this resource.

contact_lists?array<>

Contact Lists value for this resource.

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/campaigns" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "key": "string",  "name": "string",  "status": "cancelled",  "sendout_mode": "once",  "schedule": "string",  "send_after": "2019-08-24T14:15:22Z",  "last_sendout_date": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}